<?php
/* Пример из: https://vc.ru/dev/158136-kak-otpravlyat-zayavki-s-lendinga-pryamo-v-telegram */


//В переменную $token нужно вставить токен, который нам прислал @botFather
$token = "1094153697:AAFiLXXXXXLl0hRDsxBij1lddKydKxSSsOg04";

//Сюда вставляем chat_id
$chat_id = "-40XXXX740";

//Определяем переменные для передачи данных из нашей формы
if ($_POST['phone'] !== '') {
    $name = ($_POST['name']);
    $phone = ($_POST['phone']);

    //Собираем в массив то, что будет передаваться боту
    $arr = array(
        'Имя:' => $name,
        'Телефон:' => $phone
    );

    //Настраиваем внешний вид сообщения в телеграме
    foreach($arr as $key => $value) {
        $txt .= "<b>".$key."</b> ".$value."%0A";
    };

    //Передаем данные боту
    $sendToTelegram = fopen("https://api.telegram.org/bot{$token}/sendMessage?chat_id={$chat_id}&parse_mode=html&text={$txt}","r");

    //Выводим сообщение об успешной отправке
    if ($sendToTelegram) {
        echo 'Спасибо! Ваша заявка принята. Мы свяжемся с вами в ближайшее время.';
    }else{
        echo 'Что-то пошло не так. Попробуйте отправить форму ещё раз.';
    }
}

?>